Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.settings
Class SettingsImpl

    java.lang.Object
      com.eviware.soapui.impl.settings.SettingsImpl

All Implemented Interfaces:
  Settings

    public class SettingsImpl

extends java.lang.Object
implements Settings

Default Settings implementation

Author:
  Ole.Matzura

Constructor Summary
`SettingsImpl(Settings parent)`

Method Summary
`void` | `addSettingsListener(SettingsListener listener)`
`void` | `clearSetting(java.lang.String id)`
`boolean` | `getBoolean(java.lang.String id)` booleans always default to false..
`long` | `getLong(java.lang.String id, long defaultValue)`
`java.lang.String` | `getString(java.lang.String id, java.lang.String defaultValue)`
`boolean` | `isSet(java.lang.String id)`
`void` | `removeSettingsListener(SettingsListener listener)`
`void` | `setBoolean(java.lang.String id, boolean value)`
`void` | `setLong(java.lang.String id, long value)`
`void` | `setString(java.lang.String id, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsImpl

    public SettingsImpl(Settings parent)

Method Detail

### isSet

    public boolean isSet(java.lang.String id)

  Specified by:
    `isSet` in interface `Settings`

### getString

    public java.lang.String getString(java.lang.String id,
                                      java.lang.String defaultValue)

  Specified by:
    `getString` in interface `Settings`

### setString

    public void setString(java.lang.String id,
                          java.lang.String value)

  Specified by:
    `setString` in interface `Settings`

### getBoolean

    public boolean getBoolean(java.lang.String id)

  Description copied from interface: `Settings`
  booleans always default to false..

  Specified by:
    `getBoolean` in interface `Settings`

### setBoolean

    public void setBoolean(java.lang.String id,
                           boolean value)

  Specified by:
    `setBoolean` in interface `Settings`

### getLong

    public long getLong(java.lang.String id,
                        long defaultValue)

  Specified by:
    `getLong` in interface `Settings`

### addSettingsListener

    public void addSettingsListener(SettingsListener listener)

  Specified by:
    `addSettingsListener` in interface `Settings`

### removeSettingsListener

    public void removeSettingsListener(SettingsListener listener)

  Specified by:
    `removeSettingsListener` in interface `Settings`

### clearSetting

    public void clearSetting(java.lang.String id)

  Specified by:
    `clearSetting` in interface `Settings`

### setLong

    public void setLong(java.lang.String id,
                        long value)

  Specified by:
    `setLong` in interface `Settings`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.